<?xml version="1.0" encoding="UTF-8"?>
<spirit:component xmlns:spirit="http://www.spiritconsortium.org/XMLSchema/SPIRIT/1.5" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.spiritconsortium.org/XMLSchema/SPIRIT/1.5 http://www.spiritconsortium.org/XMLSchema/SPIRIT/1.5/index.xsd">
	<spirit:vendor>www.edalab.it</spirit:vendor>
	<spirit:library>work</spirit:library>
	<spirit:name>amba_apb_bus</spirit:name>
	<spirit:version>1.0</spirit:version>
	<spirit:model>
		<spirit:views>
			<spirit:view>
				<spirit:name>vhdlView</spirit:name>
				<spirit:displayName>This is the vhdl view of amba_apb_bus</spirit:displayName>
				<spirit:envIdentifier>vhdl:modelsim.mentor.com:</spirit:envIdentifier>
				<spirit:envIdentifier>vhdl:vcs.synopsys.com:</spirit:envIdentifier>
				<spirit:envIdentifier>vhdl:designcompiler.synopsys.com:</spirit:envIdentifier>
				<spirit:language>vhdl</spirit:language>
				<spirit:modelName>amba_apb_bus(behav)</spirit:modelName>
				<spirit:fileSetRef>
					<spirit:localName>amba_apb_bus</spirit:localName>
				</spirit:fileSetRef>
			</spirit:view>
		</spirit:views>
		<spirit:ports>
			<spirit:port>
				<spirit:name>clk</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_psel1</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_psel2</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_psel3</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_psel4</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_psel5</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_psel6</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_psel7</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_psel8</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_penable</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_pready</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_master_prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_1_pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_1_presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_1_paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_1_psel</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_1_penable</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_1_pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_1_pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_1_pready</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_1_prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_2_pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_2_presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_2_paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_2_psel</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_2_penable</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_2_pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_2_pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_2_pready</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_2_prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_3_pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_3_presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_3_paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_3_psel</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_3_penable</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_3_pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_3_pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_3_pready</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_3_prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_4_pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_4_presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_4_paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_4_psel</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_4_penable</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_4_pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_4_pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_4_pready</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_4_prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_5_pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_5_presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_5_paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_5_psel</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_5_penable</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_5_pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_5_pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_5_pready</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_5_prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_6_pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_6_presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_6_paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_6_psel</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_6_penable</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_6_pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_6_pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_6_pready</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_6_prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_7_pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_7_presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_7_paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_7_psel</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_7_penable</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_7_pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_7_pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_7_pready</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_7_prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_8_pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_8_presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_8_paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_8_psel</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_8_penable</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_8_pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_8_pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_8_pready</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>apb_8_prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
		</spirit:ports>
	</spirit:model>
	<spirit:fileSets>
		<spirit:fileSet>
			<spirit:name>amba_apb_bus</spirit:name>
			<spirit:file>
				<spirit:name>../vhdl/</spirit:name>
				<spirit:fileType>vhdlSource</spirit:fileType>
				<spirit:logicalName>amba_apb_bus</spirit:logicalName>
			</spirit:file>
		</spirit:fileSet>
	</spirit:fileSets>
</spirit:component>
